## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate dolby_vision

Name:           rust-dolby_vision
Version:        3.1.2
Release:        %autorelease
Summary:        Dolby Vision metadata parsing and writing

License:        MIT
URL:            https://crates.io/crates/dolby_vision
Source:         %{crates_source}
Patch:          %{name}-deps.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Dolby Vision metadata parsing and writing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+roxmltree-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+roxmltree-devel %{_description}

This package contains library source intended for building other packages which
use the "roxmltree" feature of the "%{crate}" crate.

%files       -n %{name}+roxmltree-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xml-devel %{_description}

This package contains library source intended for building other packages which
use the "xml" feature of the "%{crate}" crate.

%files       -n %{name}+xml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n libdovi
Summary:        %{summary}
BuildRequires:  cargo-c
BuildRequires:  rust-indexmap-devel
BuildRequires:  rust-roxmltree-devel

%description -n libdovi %{_description}

This package contains the C library.

%package     -n libdovi-devel
Summary:        %{summary}
Requires:       libdovi%{_isa} = %{version}-%{release}

%description -n libdovi-devel %{_description}

This package contains the C library development files.


%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%cargo_generate_buildrequires -a
echo "cargo-c"

%build
%cargo_build
%{__cargo} cbuild \
  %{__cargo_common_opts} \
  --release \
  --library-type=cdylib \
  --destdir=%{buildroot} \
  --prefix=%{_prefix} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \


%install
%cargo_install
%{__cargo} cinstall \
  %{?_smp_mflags} \
  --release \
  --library-type=cdylib \
  --destdir=%{buildroot} \
  --prefix=%{_prefix} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \


%if %{with check}
%check
%cargo_test
%endif

%files -n libdovi-devel
%doc examples README.md
%{_libdir}/libdovi.so
%{_libdir}/pkgconfig/dovi.pc
%dir %{_includedir}/libdovi
%{_includedir}/libdovi/rpu_parser.h

%files -n libdovi
%license LICENSE
%doc CHANGELOG.md
%{_libdir}/libdovi.so.3{,.*}

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 22 2023 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 3.1.2-1
- initial import (resolves rhbz#2216336)
